using Entidades;
using Microsoft.EntityFrameworkCore;

namespace Modelo;

public abstract class RepositorioBase<T> where T : class, new()
{
    private AlquilaFacilContext Context { get; set; } = new AlquilaFacilContext();

    public void Add(T t){
        Context.Add(t);
    }
    public void Mod(T t){
        Context.Update(t);
    }
    public void Del(T t){
        
        Context.Remove(t);
    }

    public bool Guardar(){
        bool ret = false;
        try
        {
            Context.SaveChanges();
            Context.Dispose();
            Context = new AlquilaFacilContext();
            ret = true;
        } catch (DbUpdateException ex)
        {
            Console.Error.WriteLine(ex.Message);
        }
        return ret;
    }

}
